Source

oscache / docs / requirements.html

<html>
<head>
<title>OSCache Requirements</title>
</head>

<body bgcolor="#FFFFFF">
<p><b>OSCache</b> can be used directly to provide caching for any Java application.
Using the OSCache tag library requires Servlet 2.3 and JSP 1.2 support to run properly.
There is no dependency on a servlet container if the OSCache API is used directly.
<p>So far OSCache has been tested in the following application servers and web containers:</p>
<ul>
  <li><a href="http://www.orionserver.com">OrionServer</a> (version 1.4.0 and
    above)</li>
  <li><a href="http://www.macromedia.com">Macromedia JRun</a> (version 3.0 and
    above)</li>
  <li><a href="http://www.weblogic.com">BEA Weblogic</a> (should work on version
    7.x and above)</li>
  <li><a href="http://www.ibm.com/websphere">IBM Websphere</a> (tested on version
    5.0)</li>
  <li><a href="http://www.ibm.com/websphere">Silverstream</a> (tested on version
    3.7.4)</li>
  <li><a href="http://www.caucho.com">Caucho Resin</a> (version 1.2.3 and above)</li>
  <li><a href="http://jakarta.apache.org/tomcat">Tomcat</a> (version 4.0 and above)</li>
  <li><a href="http://www.iplanet.com">iPlanet</a> (tested on version 6.0. Note that
    the caching filter has not been tested, only the taglibs)</li>
</ul>
<p>This does not mean it will not run on other servers! It should run on any specification
  compliant container. If you have run OSCache successfully in other servers, please
  <a href="&#109;a&#105;&#108;&#116;&#111;:chris&#64;swebtec.&#99;&#111;&#109;">let
  us know</a> and we'll add to this list.</p>
<p>The Caching Filter (for caching entire pages, and binary content such as GIFs
  and PDFs) requires Servlet 2.3 support. It is known to work on Orion, Weblogic
  and Tomcat 4.0.</p>
<p>OSCache is compatible with JRE 1.3 and higher. For best performance, JRE 1.4.x
  or higher should be used.</p>
<p>&nbsp;</p>
</body>
</html>